<!--4周年庆主场入口 created By 1173944134@qq.com-->
<template>
    <!--首页金刚区-->
    <div class="fade-in kingKong-icon" id="kingKongIcon">
        <img src="" class="img"/>
    </div>
    <!--右下角浮标-->
    <div class="year4-icon" id="year4Icon">
        <img src="" class="icon icon_1"/>
        <img src="" class="icon icon_2"/>
    </div>
    <!--我的课程浮标-->
    <div class="year4-cslist-icon" id="year4CsLstIcon">
        <img src="" class="icon3"/>
        <img src="" class="icon2"/>
        <img src="" class="icon2_1"/>
        <img src="" class="icon1"/>
    </div>
    <!--横栏-->
    <div class="year4-bar" id="year4Banner">
        <img src="" class="icon"/>
        <img src="" class="btn heart-beat"/>
        <div class="djs-con"></div>
    </div>
    <!--列表页-->
    <div class="year4-sclist" id="year4ScList">
        <img src="" class="icon"/>
        <img src="" class="btn heart-beat">
    </div>
    <!--toast-->
    <div class="yidialog-con yid-toast-con" id="toastCon">
        <div class="yid-back"></div>
        <div class="yid-con flex-row">
            <div class="yid-con-body flex-row">
                <!--消息-->
                <div class="msg"></div>
            </div>
        </div>
    </div>
    <!--弹窗-->
    <div class="yidialog-con" id="Dia">
        <div class="yid-back"></div>
        <div class="yid-con flex-row yid-con-col">
            <div class="yid-con-body flex-row">
                <div class="kj-djs"></div>
                <img src="" style="display: none;" class="coupon-img"/>
                <div class="btn-baom-con">
                    <img src="" class="btn-baom heart-beat"/>
                </div>
            </div>
            <div class="yid-cls-con">
                <img src="" class="yid-cls"/>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: 'partnerCheck',
        data: {
            showEntry: ApiHelper.SERVER + '/dengta/common/act/10053/actStatus.json',
            courseImg: resourcePath + '/imgs/groupPurchase/newCourseImg/',
            imgPath: resourcePath + '/imgs/groupPurchase/act/year4/',
            pvuv: ApiHelper.SERVER + '/dengta/common/act/10029/addPvuv.json' // pvuv微信通用接口
        },
        // pvuvkey
        pvuvKey: {},
        // 接口数据
        actData: {
            sysTime: 0,
            status: 0 // 0-不能参加，1-可以参加，2-已购买
        },
        // 曝光统计
        sendExposePvuv: function (data, callback) {
            data = data || {}
            !data.pvuvKeyId && (data.pvuvKeyId = 1569)
            data.actChannels = data.channel
            var url = this.data.pvuv
            if (data.actId) {
                url = url.replace('10029', data.actId)
            } else {
                url = url.replace('10029', 10053)
            }
            delete data.channel
            if (!data.expParam) {
                data.expParam = {
                    module: '',
                    tag: ''
                }
            }
            $.get(url, data)
            callback && setTimeout(callback, 300)
        },
        addPvuv: function (data, callback) {
            ApiHelper.myLog('pvuv>>>>', data)
            $.get(data.url || this.data.pvuv, data)
            callback && setTimeout(callback, 300)
        },
        // 初始化
        init: function () {
            ApiHelper.moreCourse && this.initMoreCourse()
            ApiHelper.courseList && this.initCourseList()
            ApiHelper.sectionList && this.initSectionList()
            ApiHelper.userProfile && this.initUserProfile()
            ApiHelper.courseDetails && this.courseDetails()
        },
        getUserStatus: function (options) {
            var callback = function () {
            }
            if (typeof options === 'function') {
                callback = options
            }
            var that = this
            // callback && callback()
            $.post(this.data.showEntry, function (res) {
                var resData = res.value
                if (!resData || resData.b || resData.sysTime > resData.endTime) {
                    return
                }
                that.actData.sysTime = resData.sysTime
                that.actData.b = resData.b
                that.actData.endTime = resData.endTime
                callback && callback()
            })
        },
        createIframe: function (data) {
            /**
             * data对象传入属性
             * data.url: iframe链接
             * data.id: iframe id
             * data.classList: iframe class,可传入单个字符串或者数组
             * */
            var sele = '';
            sele += data.id && ' id="' + data.id + '" ';
            sele += data.classList && (typeof (data.classList) === 'string' ? ' class="' + data.classList + '"' : ' class="' + data.classList.join(' ') + '" ');
            var $iframe = $(
                '<iframe src="' + data.url + '" style="position:fixed;top:0;left:0;z-index:2001;width:100%;height:100%"' + sele + ' frameborder="0"></iframe>'
            );
            data.isHide && $iframe.hide();
            $('body').append($iframe)
            return $iframe
        },
        // 商城首页
        initMoreCourse: function () {
            var that = this
            ApiHelper.$on('year4MainDia', function (e, data) {
                that.createIframe({
                    id: 'year4-main-dia',
                    url: ApiHelper.getActUrl() + '/act_common_alert?type=' + data.key
                })
            })
            ApiHelper.$on('notificationPvuc', function (e, data) {
                if (!data || !data.item) {
                    return
                }
                var type = data.type // "expose" click
                var item = data.item
                if (type === 'expose' && item.cacheKey === 'silent_course_dialog_v2') {
                    var redirectUrl = item.redirectUrl || ''
                    that.sendExposePvuv({
                        channel: that.getQueryVal('channel', redirectUrl)
                    })
                }
            })
            ApiHelper.$on('homeBannerPvuv', function (e, data) {
                if (!data) {
                    return
                }
                var type = data.type // "expose" click
                var link = data.link || ''
                var id = data.id
                if (id == 172 || id == 173 || id == 196 || id == 197) {
                    that.sendExposePvuv({
                        channel: (id == 172 || id == 196) ? 142400102 : 142400005
                    })
                }
            })
            that.getUserStatus(function () {
                that.checkHas('.course_box_classic:first-child', function () {
                    var homeBannerData = that.showHomeBanner()
                    var KingKongIconData = that.showKingKongIcon()
                    var homeIconrData = that.showHomeIcon()
                    var isFirst = true
                    var isFirst2 = true

                    function checkShow() {
                        if (that.isInView('#year4Banner')) {
                            $('#year4Icon').fadeOut()
                            !isFirst && that.sendExposePvuv({
                                channel: homeBannerData.channel
                            })
                            isFirst = true
                        } else {
                            $('#year4Icon').fadeIn()
                            isFirst && that.sendExposePvuv({
                                channel: homeIconrData.channel
                            })
                            isFirst = false
                        }
                        if (that.isInView('#kingKongIcon')) {
                            isFirst2 && that.sendExposePvuv({
                                channel: KingKongIconData.channel
                            })
                            isFirst2 = false
                        } else {
                            isFirst2 = true
                        }
                    }

                    document.addEventListener('scroll', ApiHelper.throttle(function () {
                        checkShow()
                    }, 500))

                    checkShow()
                })
            })
        },
        showKingKongIcon: function () {
            var that = this
            $(kingKongIcon).insertAfter($('.kingKongBar .kingKongItem:nth-child(2)'))
            $('.kingKongBar .kingKongItem:last-child').hide()
            var idx = 1
            // var day27 = new Date('2020/04/27 23:59:59').getTime()
            var day04 = new Date('2020/05/04 00:00:00').getTime()
            var day28 = new Date('2020/05/04 23:59:59').getTime()
            var channel = 142400130
            var isDay04 = that.actData.sysTime > day04 && that.actData.sysTime < day28
            // if (that.actData.sysTime > day27 && that.actData.sysTime < day28) {
            //     idx = 3
            //     channel = 142400132
            // }
            if (that.actData.sysTime > day28) {
                idx = 2
                channel = 142400131
            }
            $('#kingKongIcon .img').attr('src', that.data.imgPath + 'jg_icon_' + idx + '.png?v=' + window.jspVersionMoreChange)
            $('#kingKongIcon').click(function () {
                location.href = '/app/spa/dengta_h5/act_4yearmain?channel=' + channel + '&modId=' + (isDay04 ? 6 : '')
            })
            return {'channel': channel}
        },
        // 我的课icon
        showHomeIcon: function () {
            var that = this
            $(year4Icon).appendTo($('body'))
            $('#year4Icon').hide()
            var channel = 142400007
            $('#year4Icon .icon_1').attr('src', that.data.imgPath + 'cslist_icon1.png?v=' + window.jspVersionMoreChange)
            $('#year4Icon .icon_2').attr('src', that.data.imgPath + 'cslist_icon2.png?v=' + window.jspVersionMoreChange)
            $('#year4Icon').click(function () {
                location.href = '/app/spa/dengta_h5/act_4yearmain?channel=' + channel
            })

            var idx = 0
            setInterval(function () {
                idx++
                if (idx % 2 === 0) {
                    $('#year4Icon .icon_2').hide()
                } else {
                    $('#year4Icon .icon_2').show()
                }
            }, 500)
            return {'channel': channel}
        },
        // 课程目录页
        initSectionList: function () {
            var that = this
            that.getUserStatus(function () {
                var channel = 142400006
                that.checkHas('.course-recommend', function () {
                    $(year4ScList).insertAfter($('.course-recommend .course-recommend-change'))
                    $('#year4ScList .icon').attr('src', that.data.imgPath + 'sclist_banner.png?v=' + window.jspVersionMoreChange)
                    $('#year4ScList .btn').attr('src', that.data.imgPath + 'btn_gosee.png?v=' + window.jspVersionMoreChange)

                    $('#year4ScList').click(function () {
                        location.href = '/app/spa/dengta_h5/act_4yearmain?channel=' + channel
                    })
                })
                var isFirst = true

                function checkShow2() {
                    if (that.isInView('#year4ScList')) {
                        isFirst && that.sendExposePvuv({
                            channel: channel
                        })
                        isFirst = false
                    } else {
                        isFirst = true
                    }
                }

                document.addEventListener('scroll', ApiHelper.throttle(function () {
                    checkShow2()
                }, 500))

                checkShow2()
            })
        },
        // 我的课
        initCourseList: function () {
            var that = this
            that.getUserStatus(function () {
                that.checkHas('.course_box_classic:first-child', function () {
                    var csBannerData = that.showCsListBanner()
                    var csIconrData = that.showCsListIcon()
                    var isFirst = true

                    function checkShow() {
                        if (that.isInView('#year4Banner')) {
                            $('#year4CsLstIcon').fadeOut()
                            !isFirst && that.sendExposePvuv({
                                channel: csBannerData.channel
                            })
                            isFirst = true
                        } else {
                            $('#year4CsLstIcon').fadeIn()
                            isFirst && that.sendExposePvuv({
                                channel: csIconrData.channel
                            })
                            isFirst = false
                        }
                    }

                    document.addEventListener('scroll', ApiHelper.throttle(function () {
                        checkShow()
                    }, 500))

                    checkShow()
                })
            })
            ApiHelper.$on('year4MainDia', function (e, data) {
                that.createIframe({
                    id: 'year4-main-dia',
                    url: ApiHelper.getActUrl() + '/act_common_alert?pfrom=cslist&type=' + data.key
                })
            })
        },
        courseDetails: function () {
            var that = this
            that.getUserStatus(function () {
                that.showCsDetailIcon()
            })
        },
        showCsDetailIcon: function () {
            var that = this
            $(year4Icon).appendTo($('body'))
            $('#year4Icon').hide()
            var homeIconImg = 'icon_detail.png'
            var channel = 142400009
            $('#year4Icon .icon').attr('src', that.data.imgPath + homeIconImg + '?v=' + window.jspVersionMoreChange)
            $('#year4Icon').click(function () {
                location.href = '/app/spa/dengta_h5/act_4yearmain?channel=' + channel
            })
            $('#year4Icon').css({
                bottom: '4.9rem',
                width: '1.31rem',
                height: '1.27rem'
            })
            $('#year4Icon .icon').css({
                width: '1.31rem',
                height: '1.27rem'
            })
            var isFirst = true
            var idx = 2
            // 无优惠券
            var courseId = ApiHelper.getQueryString('courseId')
            courseId == 179 && $('#on_sale_origin_moeny').text('699')
            ApiHelper.$on('getNotifications', function () {
                setTimeout(function () {
                    courseId == 179 && $('#on_sale_origin_moeny').text('699')
                    if ($('#limitPic').css('display') === 'none') {
                        return
                    }
                    idx = '2_1'
                    $('#limitPic').hide()
                    $('.on_sale_box').css({
                        backgroundImage: 'url("' + that.data.imgPath + ('detail_price_back_year' + idx) + '.png?v=' + window.jspVersionMoreChange + '")'
                    })
                    $('.on_sale_box .countDown').remove()
                    $('.on_sale_box').show()
                }, 0)
            })
            $('.on_sale_box').css({
                backgroundImage: 'url("' + that.data.imgPath + ('detail_price_back_year' + idx) + '.png?v=' + window.jspVersionMoreChange + '")'
            })

            $('.on_sale_box .countDown').css({
                color: '#ffffff'
            })
            $('.on_sale_box .countDown .countDownTest').text('距周年狂欢结束')
            $('.on_sale_box .symbol').text('周年惊爆价').css({
                color: '#8825bf'
            })

            idx === 2 && this.doubleEvelenTimeDown(that.actData.endTime - that.actData.sysTime)

            // var h = $(window).height() * 2
            function checkShow() {
                if ($('.toTopBtn').css('display') !== 'none') {
                    $('#year4Icon').fadeIn()
                    !isFirst && that.sendExposePvuv({
                        channel: channel
                    })
                    isFirst = true
                } else {
                    $('#year4Icon').fadeOut()
                    isFirst = false
                }
            }

            document.addEventListener('scroll', ApiHelper.throttle(function () {
                checkShow()
            }, 500))

            checkShow()
        },
        showCsListIcon: function () {
            var that = this
            $(year4CsLstIcon).appendTo($('body'))
            $('#year4CsLstIcon').hide()
            var channel = 142400008
            $('#year4CsLstIcon .icon1').attr('src', that.data.imgPath + 'home_icon1.png?v=' + window.jspVersionMoreChange)
            $('#year4CsLstIcon .icon2').attr('src', that.data.imgPath + 'home_icon2.png?v=' + window.jspVersionMoreChange)
            $('#year4CsLstIcon .icon2_1').attr('src', that.data.imgPath + 'home_icon2_1.png?v=' + window.jspVersionMoreChange)
            $('#year4CsLstIcon .icon3').attr('src', that.data.imgPath + 'home_icon3.png?v=' + window.jspVersionMoreChange)
            $('#year4CsLstIcon').click(function () {
                location.href = '/app/spa/dengta_h5/act_4yearmain?channel=' + channel
            })
            return {'channel': channel}
        },
        // 横栏
        showHomeBanner() {
            var that = this
            var before27 = new Date('2020/04/27 23:59:59').getTime() - that.actData.sysTime > 0
            var date0501_03 = that.actData.sysTime - new Date('2020/05/01 00:00:00').getTime() > 0 && that.actData.sysTime - new Date('2020/05/04 00:00:00').getTime() < 0
            var date0502_03 = that.actData.sysTime - new Date('2020/05/02 00:00:00').getTime() > 0 && that.actData.sysTime - new Date('2020/05/04 00:00:00').getTime() < 0
            var showBanner1 = before27 || date0501_03
            var img = showBanner1 ? (!date0502_03 ? 'hm_banner_2_2.png' : 'hm_banner_2.png') : 'hm_banner_1.png'
            $(year4Banner).insertAfter($('.course_box_classic:first-child'))
            $('#year4Banner .icon').attr('src', that.data.imgPath + img + '?v=' + window.jspVersionMoreChange)

            $('#year4Banner .icon').css({
                width: '6.9rem',
                height: '1.95rem'
            })
            $('#year4Banner').css({
                width: '6.9rem',
                height: '1.95rem',
                marginBottom: '0.3rem',
                marginTop: '0.5rem',
                marginLeft: '0.1rem'
            })
            var channel = 142400010
            if (date0502_03) {
                new NewTimer(new Date('2020/05/04 00:00:00').getTime() - that.actData.sysTime, function (data) {
                    $('#year4Banner .djs-con').css({
                        display: 'flex'
                    })
                    $('#year4Banner .djs-con').text('倒计时：' + ((data[0] * 24) + data[1]) + '时' + data[2] + '分' + data[3] + '秒' + data[4] + '后结束')
                }, function () {
                    location.reload()
                }, 100).startCountDown()
                $('#year4Banner .djs-con').css({
                    left: '1.68rem',
                    color: '#ffffff',
                    top: '1.2rem'
                })
            }
            if (!showBanner1) {
                channel = 142400011
                $('#year4Banner').css({
                    marginTop: '0.4rem',
                    height: '1.82rem'
                })
                $('#year4Banner .icon').css({
                    width: '6.9rem',
                    height: '1.82rem'
                })
                $('#year4Banner .btn').attr('src', that.data.imgPath + 'hm_bar_btn.png?v=' + window.jspVersionMoreChange)
                $('#year4Banner .btn').show()
                $('#year4Banner .djs-con').css({
                    left: '1.68rem',
                    color: '#ffffff'
                })
            }
            var date0501_02 = that.actData.sysTime - new Date('2020/05/01 00:00:00').getTime() > 0 && that.actData.sysTime - new Date('2020/05/06 00:00:00').getTime() < 0

            $('#year4Banner').click(function () {
                if (date0501_02) {
                    location.href = '/app/spa/dengta_h5/act_4year_lightDengTa?channel=142400076'
                } else {
                    location.href = '/app/spa/dengta_h5/act_4yearmain?channel=' + channel
                }
            })
            if (date0501_02) {
                channel = 142400076
            }
            return {'channel': channel}
        },
        showCsListBanner() {
            var that = this
            if (that.actData.sysTime > new Date('2020/05/05 00:00:00').getTime()) {
                return
            }
            var before27 = new Date('2020/04/27 23:59:59').getTime() - that.actData.sysTime > 0
            var after28 = new Date('2020/04/28 23:59:59').getTime() - that.actData.sysTime < 0
            var date0502_03 = that.actData.sysTime - new Date('2020/05/02 00:00:00').getTime() > 0 && that.actData.sysTime - new Date('2020/05/03 00:00:00').getTime() < 0
            var date54 = that.actData.sysTime > new Date('2020/05/04 00:00:00').getTime() && that.actData.sysTime < new Date('2020/05/05 00:00:00').getTime()
            var showBanner1 = before27 || after28
            var img = showBanner1 ? (!date0502_03 ? 'hm_banner_2_2.png' : 'hm_banner_2.png') : 'cslist_banner_2.png'
            if (date54) {
                img = 'cslist_banner_2.png'
            }
            $(year4Banner).insertAfter($('.course_box_classic:first-child'))
            $('#year4Banner .icon').attr('src', that.data.imgPath + img + '?v=' + window.jspVersionMoreChange)
            var channel = 142400012
            if (showBanner1 && !date54) {
                $('#year4Banner .icon').css({
                    width: '6.9rem',
                    height: '1.95rem'
                })
                $('#year4Banner').css({
                    width: '6.9rem',
                    height: '1.95rem',
                    marginBottom: '0.6rem',
                    marginLeft: '0.1rem'
                })
                // var endTime = that.actData.endTime - that.actData.sysTime
                $('#year4Banner .djs-con').css({
                    left: '1.68rem',
                    color: '#ffffff',
                    top: '1.2rem'
                })
                // new NewTimer(endTime, function (data) {
                //     if (parseInt(data[0]) <= 2) {
                //         $('#year4Banner .djs-con').css({
                //             display: 'flex'
                //         })
                //     }
                //     $('#year4Banner .djs-con').text('倒计时：' + data[1] + '时' + data[2] + '分' + data[3] + '秒' + data[4] + '后结束')
                // }, function () {
                //     $('#year4Banner').remove()
                // }, 100).startCountDown()
            } else {
                channel = 142400013
                $('#year4Banner .djs-con').css({
                    backgroundImage: 'url("' + that.data.imgPath + 'cslist_bar_djs.png?v=' + window.jspVersionMoreChange + '")'
                })
                $('#year4Banner .icon').css({
                    width: '6.9rem',
                    height: '2.04rem'
                })
                $('#year4Banner').css({
                    width: '6.9rem',
                    height: '2.04rem',
                    marginBottom: '0.6rem'
                })
                // var endTime = new Date('2020/04/28 23:59:59').getTime() - that.actData.sysTime
                // new NewTimer(endTime, function (data) {
                //     $('#year4Banner .djs-con').css({
                //         display: 'flex'
                //     })
                //     $('#year4Banner .djs-con').text('倒计时：' + data[1] + '时' + data[2] + '分' + data[3] + '秒' + data[4] + '后结束')
                // }, function () {
                //     $('#year4Banner').remove()
                // }, 100).startCountDown()
            }
            if (date0502_03 || (!before27 && !after28) || date54) {
                let tt = '2020/04/29 00:00:00'
                if (date0502_03) {
                    tt = '2020/05/04 00:00:00'
                }
                if (date54) {
                    tt = '2020/05/05 00:00:00'
                }
                new NewTimer(new Date(tt).getTime() - that.actData.sysTime, function (data) {
                    $('#year4Banner .djs-con').css({
                        display: 'flex'
                    })
                    $('#year4Banner .djs-con').text('倒计时：' + ((data[0] * 24) + data[1]) + '时' + data[2] + '分' + data[3] + '秒' + data[4] + '后结束')
                }, function () {
                    $('#year4Banner').hide()

                }, 100).startCountDown()
                if (date0502_03 && !date54) {
                    $('#year4Banner .djs-con').css({
                        left: '1.68rem',
                        color: '#ffffff',
                        top: '1.2rem'
                    })
                } else {
                    $('#year4Banner .djs-con').css({
                        left: '1.88rem',
                        color: 'red',
                        top: '1.2rem',
                        fontWeight: 'bolder'
                    })
                }
            }
            // that.sendExposePvuv({
            //     channel: channel
            // })
            var date0429_502 = that.actData.sysTime - new Date('2020/04/29 00:00:00').getTime() > 0 && that.actData.sysTime - new Date('2020/05/06 00:00:00').getTime() < 0

            $('#year4Banner').click(function () {
                if (date0429_502 && !date54) {
                    location.href = '/app/spa/dengta_h5/act_4year_lightDengTa?channel=142400076'
                } else {
                    location.href = '/app/spa/dengta_h5/act_4yearmain?channel=' + channel + '&modId=' + (date54 ? 6 : '')
                }
            })
            if (date0429_502) {
                channel = 142400077
            }
            return {'channel': channel}
        },
        // 个人中心
        initUserProfile: function () {
            var that = this
            that.getUserStatus(function () {
                var doubleCard = $('.coupon_entry').clone()
                doubleCard.hide().removeClass('coupon_entry').addClass('year4-enter')
                doubleCard.find('img').hide()
                doubleCard.insertBefore($('.surprise_entry .integral_mall_entry'))
                setTimeout(function () {
                    doubleCard.find('img').attr('src', that.data.imgPath + 'year4_enter.png?v=' + that.data.ver)
                    doubleCard.show();
                    doubleCard.find('img').css({
                        height: '1.8rem'
                    })
                    $('.year4-enter img').length > 1 && $('.year4-enter img:last-child').remove();
                    $('.integral_mall_entry').insertAfter($('.coupon_entry'))
                }, 300)
                that.sendExposePvuv({
                    channel: 142400014
                })
                doubleCard.find('img').fadeIn()
                doubleCard.click(function () {
                    that.sendExposePvuv({
                        pvuvKeyId: 1405,
                        actId: 10053
                    }, function () {
                        location.href = ApiHelper.getActUrl() + '/act_4yearmain' + '?channel=142400014'
                    })
                })
                that.updateTabbar('user')
            })
        },
        updateTabbar: function (name) {

        },
        // toast消息
        showToast: function (msg, time, callback) {
            if ($('#toastCon').length === 0) {
                $(toastCon).appendTo($('body'))
            }
            $('#toastCon').css({
                display: 'flex'
            })
            $('#toastCon .msg').text(msg)
            setTimeout(function () {
                $('#toastCon').hide()
                callback && callback()
            }, time || 3000)
        },
        // 是否在可视区域 document.addEventListener('scroll', ApiHelper.throttle(function () {}, 500)
        isInView: function (options) {
            var config = {
                selector: options
            }
            if (typeof options !== 'string') {
                config = options
            }
            var selector = config.selector
            var top = config.top || 0 // 头部距离
            var bottom = config.bottom || 0
            if (!document.querySelector(selector)) {
                return false
            }
            var rect = document.querySelector(selector).getBoundingClientRect()
            var flag = false
            if (top <= 1) {
                top = rect.height * top
            }
            top = -rect.height + top
            if (bottom <= 1) {
                bottom = rect.height * bottom
            }
            bottom = window.innerHeight - bottom - (options.extraBtm || 0)
            if (rect.top <= bottom && rect.top >= top) {
                flag = true
            }
            return flag
        },
        // 是否隐藏
        isHideView: function (options) {
            var config = {
                selector: options
            }
            if (typeof options !== 'string') {
                config = options
            }
            var selector = config.selector
            if (!document.querySelector(selector)) {
                return true
            }
            var minBtm = options.extraBtm || 0
            var maxTop = window.innerHeight - minBtm
            var minTop = options.minTop || 0
            var rect = document.querySelector(selector).getBoundingClientRect()
            var flag = false
            if (rect.top > maxTop || rect.bottom < minTop) {
                flag = true
            }
            return flag
        },
        // 插入未来元素
        checkHas: function (selector, callback) {
            var that = this
            var addBannerCount = 0

            function check() {
                setTimeout(function () {
                    addBannerCount++
                    if ($(selector).length > 0) {
                        callback && callback.call(that)
                    } else {
                        addBannerCount < 5 && check()
                    }
                }, 1000)
            }

            check()
        },
        getStorageSync: function (key) {
            var storage = localStorage.getItem(key)
            try {
                storage = JSON.parse(storage)
            } catch (e) {
                storage = storage
            }
            return storage
        },
        setStorageSync: function (key, data) {
            localStorage.setItem(key, JSON.stringify(data))
        },
        //倒计时
        doubleEvelenTimeDown: function (cutDownTime) {
            var oneDay = 24 * 60 * 60 * 1000
            var that = this
            if ($('.countDownNum11').length === 0) {
                $('<div class="countDownNum11"></div>').insertAfter($('.countDownNum'))
                $('.countDownNum').hide()
            }
            var courseTime = setInterval(function () {
                cutDownTime -= 10
                $('.on_sale_box .symbol').text('周年惊爆价').css({
                    color: '#8825bf'
                })
                if (cutDownTime <= 0) {
                    location.reload()
                }
                if (cutDownTime > oneDay) {
                    var hh = Math.floor(cutDownTime / 1000 / 60 / 60 % 24)
                    var dd = Math.floor(cutDownTime / 1000 / 60 / 60 / 24)
                    dd = dd > 99 ? 99 : dd
                    var mm = parseInt(cutDownTime / 1000 / 60 % 60)
                    var ss = parseInt(cutDownTime / 1000 % 60)
                    var ms = parseInt(cutDownTime / 100 % 10)
                    hh = (hh >= 0 && hh < 10) ? ("0" + hh) : hh   //时
                    mm = (mm >= 0 && mm < 10) ? ("0" + mm) : mm   //分
                    ss = (ss >= 0 && ss < 10) ? ("0" + ss) : ss   //秒
                    ms = (ms >= 0 && ms < 10) ? ("0" + ms) : ms   //秒
                    $('.countDownNum11').html('<span class="days">' + dd + '天' + '<span class="hours">' + hh + '</span><span class="time_sign">:</span><span class="hours">' + mm + '</span><span class="time_sign">:</span><span class="hours">' + ss + '</span><span class="time_sign">:</span><span class="hours">' + ms + '</span>')
                } else {
                    var hh = Math.floor(cutDownTime / 1000 / 60 / 60)
                    var mm = parseInt(cutDownTime / 1000 / 60 % 60)
                    var ss = parseInt(cutDownTime / 1000 % 60)
                    var ms = parseInt(cutDownTime / 100 % 10)
                    if (hh < 0 || mm < 0 || ss < 0 || ms < 0) {
                        hh = 0
                        mm = 0
                        ss = 0
                        ms = 0
                        clearInterval(courseTime)
                    }
                    hh = (hh >= 0 && hh < 10) ? ("0" + hh) : hh   //时
                    mm = (mm >= 0 && mm < 10) ? ("0" + mm) : mm   //分
                    ss = (ss >= 0 && ss < 10) ? ("0" + ss) : ss   //秒
                    ms = (ms >= 0 && ms < 10) ? ("0" + ms) : ms   //秒
                    $('.coupon_time_h').text(hh)
                    $('.coupon_time_m').text(mm)
                    $('.coupon_time_s').text(ss)
                    $('.coupon_time_ms').text(ms)
                }
                clearInterval(courseTime)
                that.doubleEvelenTimeDown(cutDownTime)
            }, 10)
        }
    }
</script>

<style scoped lang="less">
    .flex-row {
        display: -moz-box;
        /* 老版本语法: Firefox (buggy) */
        display: -ms-flexbox;
        /* 混合版本语法: IE 10 */
        display: -webkit-flex;
        /* 新版本语法: Chrome 21+ */
        display: flex;
    }

    @cl-mask: rgba(0, 0, 0, 0.85);
    /**弹窗**/
    .yidialog-con {
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0px;
        left: 0px;
        display: flex;
        align-items: center;
        justify-content: center;
        z-index: 1000;

        .yid-back {
            position: absolute;
            left: 0px;
            top: 0px;
            width: 100%;
            height: 100%;
            text-align: center;
            background: @cl-mask;
        }

        .yid-con {
            position: relative;
            display: flex;
            justify-content: center;
            align-content: center;
            color: #ffffff;
            flex-wrap: wrap;

            .yid-cls {
                position: relative;
                z-index: 9999;
                width: 0.51rem;
                height: 0.51rem;
                flex-shrink: 0;
            }

            .yid-hand {
                position: absolute;
                width: 1rem;
                top: 3.1rem;
                right: 0.1rem;
                animation: handClick 1s infinite;
            }
        }

        .yid-con-col {
            flex-direction: column;
        }
    }

    /**toast**/
    .yid-toast-con {
        display: none;

        .yid-back {
            opacity: 0;
        }

        .yid-con {
            .yid-con-body {
                justify-content: center;
                align-items: center;

                .msg {
                    padding: 20px;
                    background-color: #333333;
                    color: #ffffff;
                    font-size: 28px;
                    border-radius: 10px;
                }
            }
        }
    }

    /**金刚区**/
    .kingKong-icon {
        width: 140px;
        height: 134px;
        flex-shrink: 0;
        display: flex;
        justify-content: center;
        margin-top: -15px;

        .img {
            width: 134px;
            height: 134px;
        }
    }

    /**浮标**/
    .year4-icon, .year4-cslist-icon {
        position: fixed;
        width: 160px;
        height: 80px;
        right: 0;
        bottom: 240px;
        z-index: 66;
        color: #ffffff;

    }

    .year4-icon {
        width: 191px;
        height: 190px;

        .icon_1, .icon_2 {
            width: 191px;
            height: 190px;
            position: absolute;
            top: 0;
            right: 0;
            z-index: 0;
        }

        .icon_2 {
            z-index: 1;
            display: none;
        }
    }

    .year4-cslist-icon {
        width: 167px;
        height: 152px;

        .icon1 {
            width: 167px;
            height: 152px;
            z-index: 3;
            position: absolute;
            left: 0;
            top: 0;
        }

        .icon2 {
            width: 140px;
            height: 62px;
            position: absolute;
            left: 13px;
            bottom: 0;
            z-index: 1;
        }

        .icon2_1 {
            width: 140px;
            height: 46px;
            position: absolute;
            left: 13px;
            bottom: 0;
            z-index: 3;
        }

        .icon3 {
            width: 106px;
            height: 100px;
            position: absolute;
            left: 30px;
            top: 20px;
            z-index: 2;
            animation: saFL 0.4s infinite;
        }
    }

    @keyframes saFL {
        0%, 100% {
            top: 20px;
        }
        50% {
            top: 8px;
        }
    }

    /**首页我的课横栏**/
    .year4-bar {
        height: 150px;
        position: relative;

        .icon {
            max-height: 100%;
        }

        .btn {
            position: absolute;
            width: 113px;
            height: 113px;
            right: 10px;
            top: 38px;
            display: none;
        }

        .djs-con {
            width: 401px;
            height: 61px;
            display: flex;
            justify-content: center;
            align-items: center;
            position: absolute;
            top: 110px;
            left: 211px;
            background-size: 100% 100%;
            background-position: center center;
            color: #ff3c00;
            font-size: 22px;
            display: none;
        }
    }

    .year4-sclist {
        width: 696px;
        height: 240px;
        position: relative;

        .icon {
            max-height: 100%;
        }

        .btn {
            width: 254px;
            height: 62px;
            position: absolute;
            left: 285px;
            bottom: 20px;
        }
    }

    .my-hand-ani {
        animation: myHandAni 1s infinite;
    }

    @keyframes myHandAni {
        50% {
            left: 80px;
        }
        0%, 100% {
            left: 50px;
        }
    }

    @keyframes iconClick {
        0%, 100% {
            margin-bottotm: 0;
        }
        50% {
            margin-bottom: -35px;
            transform: scale(1.1);
        }
    }

    @keyframes handClick {
        from {
            margin-top: 0rem;
            margin-right: 0rem;
        }
        50% {
            margin-top: -0.1rem;
            margin-right: 0.1rem;
            transform: scale(0.9);
        }
        to {
            margin-top: -0rem;
            margin-right: 0rem;
        }
    }

    .scale-size {
        animation: scaleSize 2s infinite;
    }

    @keyframes scaleSize {
        from {
            transform: scale(0.9);
            opacity: 0.9;
        }
        50% {
            transform: scale(1.2);
            opacity: 1;
        }
        to {
            transform: scale(0.9);
            opacity: 0.9;
        }
    }

    .heart-beat {
        animation: heartBeat 1s infinite;
    }

    @keyframes heartBeat {
        0% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        14% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        28% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }

        42% {
            -webkit-transform: scale(.8);
            transform: scale(.8);
        }

        70% {
            -webkit-transform: scale(1);
            transform: scale(1);
        }
    }

    /**淡入*/
    .fade-in {
        animation: fadeIn 1s;
    }

    @keyframes fadeIn {
        from {
            opacity: 0;
        }
        to {
            opacity: 1;
        }
    }
</style>
